zram module not found in 4.4/4.15 KVM kernel

Bug #1766823 reported by Po-Hsu Lin on 2018-04-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Po-Hsu Lin
linux-kvm (Ubuntu)
Undecided
Po-Hsu Lin
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

== Justification ==
In the Xenial / Bionic KVM kernel, the CONFIG_ZRAM was not set, it's impossible for users to use zram module on it. And the ubuntu_zram_smoke_test regression test is failing due to the missing module.

== Test ==
Before enabling CONFIG_ZRAM and the related configs, the zram module cannot be found.
After that, the zram module can be inserted and pass the ubuntu_zram_smoke_test.

Test kernels could be found here:
http://people.canonical.com/~phlin/kernel/lp-1766823-zram/

== Fix ==
[bionic/linux-kvm][xenial/linux-kvm][SRU][PATCH] UBUNTU: [Config]: enable CONFIG_ZRAM

== Regression Potential ==
Minimal.
No code changes, just a config changes without disabling any other configs.

------

The ubuntu_zram_smoke_test will fail due to the lack of the zram module.

07:32:19 DEBUG| Running '/home/ubuntu/autotest/client/tests/ubuntu_zram_smoke_test/ubuntu_zram_smoke_test.sh'
07:32:19 ERROR| [stderr] modprobe: FATAL: Module zram not found in directory /lib/modules/4.15.0-1008-kvm
07:32:19 DEBUG| [stdout] FAILED: cannot load zram module
07:32:19 ERROR| Exception escaping from test:

There is no zram config in the Bionic KVM kernel config file.
$ grep -i zram debian.kvm/config/config.common.ubuntu
$

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-1008-kvm 4.15.0-1008.8
ProcVersionSignature: User Name 4.15.0-1008.8-kvm 4.15.17
Uname: Linux 4.15.0-1008-kvm x86_64
NonfreeKernelModules: signpost
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
Date: Wed Apr 25 07:32:47 2018
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=C.UTF-8
 SHELL=/bin/bash
SourcePackage: linux-kvm
UpgradeStatus: No upgrade log present (probably fresh install)

CVE References

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) wrote :

This module does not exist in 4.4 kvm as well.
Can be fixed by CONFIG_ZRAM=m

summary: - zram module not found in 4.15 KVM kernel
+ zram module not found in 4.4/4.15 KVM kernel
tags: added: xenial

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1766823

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Po-Hsu Lin (cypressyew) on 2018-08-03
description: updated
no longer affects: linux (Ubuntu)
Po-Hsu Lin (cypressyew) on 2018-08-03
Changed in ubuntu-kernel-tests:
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux-kvm (Ubuntu):
assignee: nobody → Po-Hsu Lin (cypressyew)
status: New → In Progress
Changed in ubuntu-kernel-tests:
status: New → In Progress
Changed in linux-kvm (Ubuntu Xenial):
status: New → Fix Committed
Changed in linux-kvm (Ubuntu Bionic):
status: New → Fix Committed
Po-Hsu Lin (cypressyew) wrote :

Test passed on Bionic.

Po-Hsu Lin (cypressyew) wrote :

Test passed on Xenial.

Mark it as Fix Released for ubuntu-kernel-tests

Changed in ubuntu-kernel-tests:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (33.0 KiB)

This bug was fixed in the package linux-kvm - 4.15.0-1021.21

---------------
linux-kvm (4.15.0-1021.21) bionic; urgency=medium

  * linux-kvm: 4.15.0-1021.21 -proposed tracker (LP: #1788753)

  * zram module not found in 4.4/4.15 KVM kernel (LP: #1766823)
    - [Config]: enable CONFIG_ZRAM

  [ Ubuntu: 4.15.0-34.37 ]

  * linux: 4.15.0-34.37 -proposed tracker (LP: #1788744)
  * Bionic update: upstream stable patchset 2018-08-09 (LP: #1786352)
    - MIPS: c-r4k: Fix data corruption related to cache coherence
    - MIPS: ptrace: Expose FIR register through FP regset
    - MIPS: Fix ptrace(2) PTRACE_PEEKUSR and PTRACE_POKEUSR accesses to o32 FGRs
    - KVM: Fix spelling mistake: "cop_unsuable" -> "cop_unusable"
    - affs_lookup(): close a race with affs_remove_link()
    - fs: don't scan the inode cache before SB_BORN is set
    - aio: fix io_destroy(2) vs. lookup_ioctx() race
    - ALSA: timer: Fix pause event notification
    - do d_instantiate/unlock_new_inode combinations safely
    - mmc: sdhci-iproc: remove hard coded mmc cap 1.8v
    - mmc: sdhci-iproc: fix 32bit writes for TRANSFER_MODE register
    - mmc: sdhci-iproc: add SDHCI_QUIRK2_HOST_OFF_CARD_ON for cygnus
    - libata: Blacklist some Sandisk SSDs for NCQ
    - libata: blacklist Micron 500IT SSD with MU01 firmware
    - xen-swiotlb: fix the check condition for xen_swiotlb_free_coherent
    - drm/vmwgfx: Fix 32-bit VMW_PORT_HB_[IN|OUT] macros
    - arm64: lse: Add early clobbers to some input/output asm operands
    - powerpc/64s: Clear PCR on boot
    - IB/hfi1: Use after free race condition in send context error path
    - IB/umem: Use the correct mm during ib_umem_release
    - idr: fix invalid ptr dereference on item delete
    - Revert "ipc/shm: Fix shmat mmap nil-page protection"
    - ipc/shm: fix shmat() nil address after round-down when remapping
    - mm/kasan: don't vfree() nonexistent vm_area
    - kasan: free allocated shadow memory on MEM_CANCEL_ONLINE
    - kasan: fix memory hotplug during boot
    - kernel/sys.c: fix potential Spectre v1 issue
    - KVM: s390: vsie: fix < 8k check for the itdba
    - KVM: x86: Update cpuid properly when CR4.OSXAVE or CR4.PKE is changed
    - kvm: x86: IA32_ARCH_CAPABILITIES is always supported
    - powerpc/64s: Improve RFI L1-D cache flush fallback
    - powerpc/pseries: Restore default security feature flags on setup
    - powerpc/64s: Fix section mismatch warnings from setup_rfi_flush()
    - MIPS: generic: Fix machine compatible matching
    - mac80211: mesh: fix wrong mesh TTL offset calculation
    - ARC: Fix malformed ARC_EMUL_UNALIGNED default
    - ptr_ring: prevent integer overflow when calculating size
    - arm64: dts: rockchip: fix rock64 gmac2io stability issues
    - arm64: dts: rockchip: correct ep-gpios for rk3399-sapphire
    - libata: Fix compile warning with ATA_DEBUG enabled
    - selftests: sync: missing CFLAGS while compiling
    - selftest/vDSO: fix O=
    - selftests: pstore: Adding config fragment CONFIG_PSTORE_RAM=m
    - selftests: memfd: add config fragment for fuse
    - ARM: OMAP2+: timer: fix a kmemleak caused in omap_get_timer_dt
    - ARM: OMAP3: Fix prm wake interrupt for resume
    - ARM: OMAP2+...

Changed in linux-kvm (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-kvm - 4.4.0-1033.39

---------------
linux-kvm (4.4.0-1033.39) xenial; urgency=medium

  * linux-kvm: 4.4.0-1033.39 -proposed tracker (LP: #1788771)

  * zram module not found in 4.4/4.15 KVM kernel (LP: #1766823)
    - [Config]: enable CONFIG_ZRAM
    - [Config]: enable CONFIG_ZRAM (continued)

  [ Ubuntu: 4.4.0-135.161 ]

  * linux: 4.4.0-135.161 -proposed tracker (LP: #1788766)
  * [Regression] APM Merlin boards fail to recover link after interface down/up
    (LP: #1785739)
    - net: phylib: fix interrupts re-enablement in phy_start
    - net: phy: fix phy_start to consider PHY_IGNORE_INTERRUPT
  * qeth: don't clobber buffer on async TX completion (LP: #1786057)
    - s390/qeth: don't clobber buffer on async TX completion
  * nvme: avoid cqe corruption (LP: #1788035)
    - nvme: avoid cqe corruption when update at the same time as read
  * CacheFiles: Error: Overlong wait for old active object to go away.
    (LP: #1776254)
    - cachefiles: Fix missing clear of the CACHEFILES_OBJECT_ACTIVE flag
    - cachefiles: Wait rather than BUG'ing on "Unexpected object collision"
  * fscache cookie refcount updated incorrectly during fscache object allocation
    (LP: #1776277) // fscache cookie refcount updated incorrectly during fscache
    object allocation (LP: #1776277)
    - fscache: Fix reference overput in fscache_attach_object() error handling
  * FS-Cache: Assertion failed: FS-Cache: 6 == 5 is false (LP: #1774336)
    - Revert "UBUNTU: SAUCE: CacheFiles: fix a read_waiter/read_copier race"
    - fscache: Allow cancelled operations to be enqueued
    - cachefiles: Fix refcounting bug in backing-file read monitoring
  * linux-cloud-tools-common: Ensure hv-kvp-daemon.service starts before
    walinuxagent.service (LP: #1739107)
    - [Debian] hyper-v -- Ensure that hv-kvp-daemon.service starts before
      walinuxagent.service

 -- Khalid Elmously <email address hidden> Mon, 27 Aug 2018 00:14:00 -0400

Changed in linux-kvm (Ubuntu Xenial):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew) on 2018-09-11
Changed in linux-kvm (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers